#if !defined(AFX_GAMEFRAME_H__A416C473_FB38_4CB7_9720_2786A4AEB827__INCLUDED_)
#define AFX_GAMEFRAME_H__A416C473_FB38_4CB7_9720_2786A4AEB827__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GameFrame.h : header file
//

#include"GameView.h"
/////////////////////////////////////////////////////////////////////////////
// CGameFrame frame

class CGameFrame : public CFrameWnd
{
//	DECLARE_DYNCREATE(CGameFrame)
protected:

// Attributes
public:
	CGameFrame(ObjectManager *objman,CWnd *parent);           // protected constructor used by dynamic creation
	CGameView  m_wndView;
	void SaveToReg();
	void LoadFromReg();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGameFrame)
	protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CGameFrame();

	// Generated message map functions
	//{{AFX_MSG(CGameFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnClose();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnHelp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GAMEFRAME_H__A416C473_FB38_4CB7_9720_2786A4AEB827__INCLUDED_)
